--- title: "getContractSummaryList" slug: "platform-costandusage-getcontractsummarylist" updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-costandusage-getcontractsummarylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getContractSummaryList Available in Classic and VPC Search a list of user contract summaries. The contract summary consists of a Region code, a contract type code, and the number of contracts. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /cost/getContractSummaryList | ### Request headers For headers common to all Cost and usage APIs, see [Cost and usage common headers](/docs/en/platform-costandusage#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `isOrganization` | Boolean | Optional | Whether to view consolidated usage for organization sub accountsAvailable to masters onlyAn error is returned if both `isOrganization` and `isPartner` are `true` | | `isPartner` | Boolean | Optional | Whether to view partner accounts - Available to partner representatives only - An error is returned if both `isOrganization` and `isPartner` are `true` | | `memberNoList` | List | Optional | Member ID list - Only available to master or partner representatives | | `contractMonth` | String | Required | Contract year and month to view (yyyyMM) - 202404 | | `contractTypeCode` | String | Optional | Contract type code | | `contractStatusCode` | String | Optional | Contract status code - `ALL` (default) \| `NOML` \| `NLEND` - `ALL`: all - `NOML`: normal - `NLEND`: ended | | `regionCode` | String | Optional | Region code - regionCode can be obtained through the [getRegionList](/docs/en/platform-region-getregionlist) action | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/cost/getContractSummaryList?contractMonth=202404' --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ContractSummaryList](/docs/en/common-vapidatatype-contractsummarylist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` db96b2c0-****-****-****-939ab748350e 0 success 3 2706412 KR 1 ARCST Archive Storage ALL ALL 2706412 KR 2 CTNRR Container Registry ALL ALL 2706412 KR 1 OBJST Object Storage ALL ALL ```